﻿.landing__section {
    max-width: 100%;
    margin: 0 auto;
    padding: 4rem;
    border-radius: 1rem;
}

@media only screen and (min-width: 768px) {
    .landing__section {
        max-width: 1400px;
        padding: 6rem;
    }
}

.landing__section--heading {
    background-color: rgb(0, 0, 0, 0.5);
    max-width: 100%;
    padding: 2rem;
    border-radius: 10px;
}

.landing__logo {
    display: flex;
    justify-content: center;
    margin: 1rem auto;
}

.landing__logo--img {
    max-width: 150px;
    display: block;
}

@media only screen and (min-width: 480px) {
    .landing__logo--img {
        max-width: 150px;
    }
}

@media only screen and (min-width: 768px) {
    .landing__logo--img {
        max-width: 200px;
    }
}

.landing__section--heading__title {
    font-size: 2.8rem;
    line-height: 3rem;
    color: var(--secondary-color);
    margin-bottom: 1.5rem;
}

.landing__section--heading__desc {
    font-size: 1.6rem;
    font-weight: bold;
    line-height: 2.6rem;
    color: var(--text-white-color);
    margin: 0 auto;
}

@media only screen and (min-width: 992px) {
    .landing__section--heading__title {
        font-size: 3.8rem;
        line-height: 4rem;
    }

    .landing__section--heading__desc {
        font-size: 2rem;
        line-height: 3rem;
    }
}

.landing__section--callaction {
    width: 100%;
    min-height: 85px;
    padding: 3rem;
    position: relative;
    background-color: var(--body-background-color);
    font-weight: 600;
    line-height: 25px;
    border-radius: 10px;
    font-size: 1.4rem;
}

@media only screen and (min-width: 768px){
    .landing__section--callaction {
        width: 100%;
        min-height: 85px;
    }
}

@media only screen and (min-width: 768px) {
    .landing__section--heading {
        height: 60%;
    }
    .landing__section--callaction {
        height: 40%; 
    }
}

.landing__section--callaction__title {
    font-size: 1.8rem;
    line-height: 2rem;
    color: var(--secondary-color);
    
}

@media only screen and (min-width: 768px) {
    .landing__section--callaction__title {
        margin: 3.5rem auto 2rem;
    }
}

@media only screen and (min-width: 992px) {
    .landing__section--callaction__title {
        margin: 2rem auto 2rem;
        font-size: 2.8rem;
        line-height: 3rem;
    }

    .landing__section--callaction__desc {
        font-size: 1.8rem;
        line-height: 2.8rem;
    }
}

.landing__form {
    background: var(--body-background-color);
    border-radius: 10px;
    box-shadow: 0 7px 20px rgba(0, 0, 0, 0.16);
    padding: 2rem;
}

@media only screen and (min-width: 576px) {
    .landing__form {
        padding: 3rem;
    }
}

@media only screen and (min-width: 768px) {
    .landing__form {
        padding: 4rem;
    }
}

.landing__form--control__invalid {
    border: 2px solid #dc3545;
    box-shadow: 0 0 0 0.2rem rgba(220, 53, 69, 0.25);
}

.landing__privacy {
    background-color: rgb(255, 255, 255, 0.5);
    max-width: 100%;
    height: 75px;
    padding: 2rem;
    border-radius: 10px;
}

.landing__privacy--text {
    font-size: 1.6rem;
    line-height: 2.8rem;
    font-weight: bold;
    text-decoration: underline;
    text-underline-offset: 5px;
}

.landing__privacy--text:hover {
    color: var(--secondary-color);
    text-decoration: underline;
}

.modal-backdrop.show {
    backdrop-filter: blur(8px);
    background-color: rgba(0, 0, 0, 0.4);
}

.custom-modal-content {
    background-color: rgba(255, 255, 255, 0.95);
    border-radius: 10px;
    box-shadow: 0 0 30px rgba(0, 0, 0, 0.4);
}

.modal-content {
    max-width: 100%;
    overflow-x: hidden;
}

.modal-body {
    word-wrap: break-word;
    overflow-x: hidden;
}

.landing__modal {
    padding: 5rem;
}

@media only screen and (min-width: 768px) {
    .landing__modal {
        padding: 6rem;
    }
}

.landing__modal--content {
    max-width: 1440px;
    max-height: 70vh;
    margin: auto;
    padding: 5rem;
    border-radius: 10px !important;
}

.landing__modal--content__title {
    font-size: 2.2rem;
    font-weight: bold;
}

/*--------------------------------------------------------------
# Marcas Section
--------------------------------------------------------------*/

.cinta-dorada {
    background-color: var(--secondary-color);
    border-radius: 10px;
    margin-bottom: 15px;
}

.cinta-blanca {
    background-color: #fff;
    border-radius: 8px;
    overflow: hidden;
}

.container {
    width: 100%;
    overflow: hidden;
    position: relative;
}

.clients {
    padding: 20px 0;
}

.clients .swiper {
    padding:  0;
}

.clients .swiper-slide img {
    transition: 0.3s;
}

.clients .swiper-slide img:hover {
    transform: scale(1.1);
}

.clients .swiper-pagination {
    margin-top: 20px;
    position: relative;
}

.clients .swiper-pagination .swiper-pagination-bullet {
    display: flex;
    flex-direction: row;
    width: 60px;
    height: 60px;
    background-color: #fff;
    opacity: 1;
    background-color: #ddd;
    margin: 10px;
}

.clients .swiper-pagination .swiper-pagination-bullet-active {
    background-color: var(--color-primary);
}

.client-logo {
    height: 40px !important;
}

@media (max-width: 575px) {
    .client-logo {
        height: 30px !important;
    }
}

.feather-shadow {
    mask-image: linear-gradient(to right, transparent 0%, #000000 20%, #000000 80%, transparent 100%);
    -webkit-mask-image: linear-gradient(to right, transparent 0%, #000000 20%, #000000 80%, transparent 100%);
}

.container__buttons {
  display: flex;
  justify-content: space-between;
  align-items: center;
}

/* whatsapp float */
.whatsapp-button {
    font-size: 30px;
    font-weight: 300;
    height: 50px;
    width: 50px;
    border-radius: 50px;
    text-align: center;
    text-decoration: none;
    z-index: 1069;
    color: #FFF;
    background-color: rgba(37, 211, 102, 0.7);
    border: 2px solid #FFF;
    -webkit-transition: all 0.5s;
    -moz-transition: all 0.5s;
    -ms-transition: all 0.5s;
    -o-transition: all 0.5s;
    transition: all 0.5s;
}

.whatsapp-button:hover {
    color: #FFFFFF;
    background-color: #25D366;
    -moz-transform: scale(1.2);
    -webkit-transform: scale(1.2);
    transform: scale(1.2);
}

/*--------------------------------------------------------------
# Antiponchaduras
--------------------------------------------------------------*/
.relleno-overlay {
    background: rgba(0, 0, 0, 0.65);
    padding: 4rem;
    border-radius: 1rem;
    height: 100%;
}

.logo-img {
    max-width: 150px;
}

.subtitle {
    color: #fff;
    font-size: 2.8rem;
}

.highlight {
    color: var(--secondary-color);
    font-weight: bold;
}

.main-title {
    color: var(--secondary-color);
    font-size: 4rem;
    font-weight: 800;
}

@media only screen and (max-width: 992px) {
    .main-title {
        font-size: 3rem;
    }

    .subtitle {
        font-size: 2rem;
    }
}

@media only screen and (max-width: 425px) {
    .main-title {
        font-size: 2rem;
    }
}

.card-dark {
    display: flex;
    gap: 20px;
    background: rgba(0,0,0,0.6);
    padding: 25px;
    border-radius: 15px;
    color: white;
    align-items: center;
}

.card-dark h4 {
    color: white;
    font-weight: bold;
}

.card-dark p {
    margin: 0;
    color: #ddd;
}

.icon {
    font-size: 40px;
    color: var(--secondary-color);
}

.icon-lg {
    font-size: 50px;
    color: var(--secondary-color);
    margin-bottom: 10px;
}

.why-box {
    display: inline-block;
    background: linear-gradient(90deg, var(--secondary-color), #ffcc00);
    padding: 10px 30px;
    border-radius: 10px;
    font-weight: bold;
    color: #000;
}

.features-wrapper {
    background: rgba(0,0,0,0.6);
    border-radius: 15px;
    overflow: hidden;
}

.feature-item {
    padding: 25px;
    color: white;
}

.feature-item:not(:last-child) {
    border-right: 2px solid var(--secondary-color);
}

@media (max-width: 768px) {
    .feature-item:not(:last-child) {
        border-right: none;
        border-bottom: 2px solid var(--secondary-color);
    }
}